# Copyright 2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7
PYTHON_COMPAT=( python3_{5,6,7} )
inherit distutils-r1 git-r3

EGIT_REPO_URI="https://github.com/BobBuildTool/${PN}.git"
EGIT_COMMIT="v${PV}"

DESCRIPTION="Functional cross platform build-automation tool"
HOMEPAGE="https://bobbuildtool.dev"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="amd64 ~x86"

RDEPEND="dev-python/pyyaml[${PYTHON_USEDEP}]
		 dev-python/schema[${PYTHON_USEDEP}]
		 dev-python/python-magic[${PYTHON_USEDEP}]
		 dev-python/pyparsing[${PYTHON_USEDEP}]
		 dev-python/sphinx[${PYTHON_USEDEP}]
		 sys-apps/hexdump-esr
		 net-misc/curl"
DEPEND="${RDEPEND}
		dev-python/setuptools_scm[${PYTHON_USEDEP}]"
